import { t as s } from "../index-DSGwv2Yx.js";
async function f(e, o = 10, r = !1) {
  for (let t = 0; t < 100; t++) {
    const a = r ? await e() : s(e);
    t === 99 && await a.data(), a.dispose();
  }
  const n = performance.now();
  for (let t = 0; t < o; t++) {
    const a = r ? await e() : s(e);
    t === o - 1 && await a.data(), a.dispose();
  }
  return (performance.now() - n) / o;
}
export {
  f as default
};
